function init(hero) {
    hero.setName("Magneto");
    hero.setTier(3);
    
    hero.setHelmet("item.superhero_armor.piece.cowl");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
 
    hero.addAbilities("fiskheroes:flight", "fiskheroes:retractable_shield", "fiskheroes:canary_cry" );
    hero.addAttribute("FALL_RESISTANCE", 15.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 0.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 5.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.1, 1);
    hero.addAttribute("ATTACK_DAMAGE", 0.2, 1);
	


   hero.addKeyBind("EARTHQUAKE", "key.earthquake", 1);	
   hero.addKeyBind("SHIELD", "key.shield", 2);
   hero.addKeyBind("CANARY_CRY", "key.canaryCry", 1)
 
   hero.addAttributeProfile("SHIELD", shieldProfile);
   hero.setAttributeProfile(getAttributeProfile);
    
   hero.setDefaultScale(1.0);
   hero.setHasProperty(hasProperty);
}

function shieldProfile(profile) {
   profile.addAttribute("FALL_RESISTANCE", 9.0, 0);
    profile.addAttribute("PUNCH_DAMAGE", 1, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:shield") ? "SHIELD" : null;
}